<?php
/**
 * @version    0.0.1
 * @package    Com_ytwebtools lite
 * @author     Yannick TANGUY <contact@yannicktanguy.com>
 * @copyright  2017 Yannick TANGUY
 * @license    GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 */

// No direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet(JUri::root() . 'administrator/components/com_ytwebtools/assets/css/ytwebtools.css');
$document->addStyleSheet(JUri::root() . 'media/com_ytwebtools/css/list.css');
$document->addStyleSheet(JUri::base() . 'components/com_ytwebtools/assets/css/font-awesome.min.css');

$user      = JFactory::getUser();
$userId    = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn  = $this->state->get('list.direction');
$canOrder  = $user->authorise('core.edit.state', 'com_ytwebtools');
$saveOrder = $listOrder == 'a.`ordering`';

if ($saveOrder){
	$saveOrderingUrl = 'index.php?option=com_ytwebtools&task=listes.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'siteinternetList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
}

$sortFields = $this->getSortFields();
?>
<script type="text/javascript">
	Joomla.orderTable = function () {
		table = document.getElementById("sortTable");
		direction = document.getElementById("directionTable");
		order = table.options[table.selectedIndex].value;
		if (order != '<?php echo $listOrder; ?>') {
			dirn = 'asc';
		} else {
			dirn = direction.options[direction.selectedIndex].value;
		}
		Joomla.tableOrdering(order, dirn, '');
	};

	jQuery(document).ready(function () {
		jQuery('#clear-search-button').on('click', function () {
			jQuery('#filter_search').val('');
			jQuery('#adminForm').submit();
		});
        jQuery('div .btn.rappts').on('click', function () {
        var lidtrf=jQuery(this).attr('value');
            window.location.href = "index.php?option=com_ytwebtools&task=siteinternet.edit&id="+lidtrf+"#rapports";
    });

	});

	window.toggleField = function (id, task, field) {
		var f = document.adminForm, i = 0, cbx, cb = f[ id ];
		if (!cb) return false;
		while (true) {
			cbx = f[ 'cb' + i ];
			if (!cbx) break;
			cbx.checked = false;
			i++;
		}
		var inputField   = document.createElement('input');
		inputField.type  = 'hidden';
		inputField.name  = 'field';
		inputField.value = field;
		f.appendChild(inputField);
		cb.checked = true;
		f.boxchecked.value = 1;
		window.submitform(task);
		return false;
	};
</script>
<?php
if (!empty($this->extra_sidebar)){
	$this->sidebar .= $this->extra_sidebar;
}
?>
<form action="<?php echo JRoute::_('index.php?option=com_ytwebtools&view=listes'); ?>" method="post" name="adminForm" id="adminForm">
  <?php if (!empty($this->sidebar)): ?>
  <div id="j-sidebar-container" class="span2"> <?php echo $this->sidebar; ?> </div>
  <div id="j-main-container" class="span10">
  <?php else : ?>
  <div id="j-main-container">
    <?php endif; ?>
    <div id="filter-bar" class="btn-toolbar">
      <div class="filter-search btn-group pull-left">
        <label for="filter_search" class="element-invisible"> <?php echo JText::_('JSEARCH_FILTER'); ?> </label>
        <input type="text" name="filter_search" id="filter_search" placeholder="<?php echo JText::_('JSEARCH_FILTER'); ?>" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('JSEARCH_FILTER'); ?>"/>
      </div>
      <div class="btn-group pull-left">
        <button class="btn hasTooltip" type="submit" title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>"> <i class="icon-search"></i></button>
        <button class="btn hasTooltip" id="clear-search-button" type="button" title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>"> <i class="icon-remove"></i></button>
      </div>
      <div class="btn-group pull-right hidden-phone">
        <label for="limit" class="element-invisible"> <?php echo JText::_('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC'); ?> </label>
        <?php echo $this->pagination->getLimitBox(); ?> </div>
      <div class="btn-group pull-right hidden-phone">
        <label for="directionTable" class="element-invisible"> <?php echo JText::_('JFIELD_ORDERING_DESC'); ?> </label>
        <select name="directionTable" id="directionTable" class="input-medium" onchange="Joomla.orderTable()">
          <option value=""><?php echo JText::_('JFIELD_ORDERING_DESC'); ?></option>
          <option value="asc" <?php echo $listDirn == 'asc' ? 'selected="selected"' : ''; ?>> <?php echo JText::_('JGLOBAL_ORDER_ASCENDING'); ?> </option>
          <option value="desc" <?php echo $listDirn == 'desc' ? 'selected="selected"' : ''; ?>> <?php echo JText::_('JGLOBAL_ORDER_DESCENDING'); ?> </option>
        </select>
      </div>
      <div class="btn-group pull-right">
        <label for="sortTable" class="element-invisible"><?php echo JText::_('JGLOBAL_SORT_BY'); ?></label>
        <select name="sortTable" id="sortTable" class="input-medium" onchange="Joomla.orderTable()">
          <option value=""><?php echo JText::_('JGLOBAL_SORT_BY'); ?></option>
          <?php echo JHtml::_('select.options', $sortFields, 'value', 'text', $listOrder); ?>
        </select>
      </div>
    </div>
    <div class="clearfix"></div>
    <table class="table table-striped" id="siteinternetList">
      <thead>
        <tr>
          <?php if (isset($this->items[0]->ordering)): ?>
          <th width="1%" class="nowrap center hidden-phone"> <?php echo JHtml::_('grid.sort', '<i class="icon-menu-2"></i>', 'a.`ordering`', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING'); ?> </th>
          <?php endif; ?>
          <th width="1%" class="hidden-phone"> <input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)"/>
          </th>
          <?php if (isset($this->items[0]->state)): ?>
          <th width="1%" class="nowrap center"> <?php echo JHtml::_('grid.sort', 'JSTATUS', 'a.`state`', $listDirn, $listOrder); ?> </th>
          <?php endif; ?>
          <th class='left'> <?php echo JHtml::_('grid.sort',  'COM_YTWEBTOOLS_LISTES_ID', 'a.`id`', $listDirn, $listOrder); ?> </th>
          <th class='left'> <?php echo JHtml::_('grid.sort',  'COM_YTWEBTOOLS_LISTES_NAME', 'a.`name`', $listDirn, $listOrder); ?> </th>
          <th class='left'> <?php echo JHtml::_('grid.sort',  'COM_YTWEBTOOLS_LISTES_CMSTYPE', 'a.`cmstype`', $listDirn, $listOrder); ?></th>
          <th class='left'><?php echo JText::_('COM_YTWEBTOOLS_LISTES_TYPESAUV', true);  ?></th>
          <th class='left'><?php echo JText::_('COM_YTWEBTOOLS_LISTES_DERNSAUV', true);  ?></th>
          <th class='left'><?php echo JText::_('COM_YTWEBTOOLS_LISTES_ACCESS', true);  ?></th>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <td colspan="<?php echo isset($this->items[0]) ? count(get_object_vars($this->items[0])) : 10; ?>"><?php echo $this->pagination->getListFooter(); ?></td>
        </tr>
      </tfoot>
      <tbody>
        <?php foreach ($this->items as $i => $item) :
					$ordering   = ($listOrder == 'a.ordering');
					$canCreate  = $user->authorise('core.create', 'com_ytwebtools');
					$canEdit    = $user->authorise('core.edit', 'com_ytwebtools');
					$canCheckin = $user->authorise('core.manage', 'com_ytwebtools');
					$canChange  = $user->authorise('core.edit.state', 'com_ytwebtools');
					?>
        <tr class="row<?php echo $i % 2; ?>">
          <?php if (isset($this->items[0]->ordering)) : ?>
          <td class="order nowrap center hidden-phone"><?php if ($canChange) :
                    $disableClassName = '';
                    $disabledLabel    = '';
                    if (!$saveOrder) :
                        $disabledLabel    = JText::_('JORDERINGDISABLED');
                        $disableClassName = 'inactive tip-top';
                    endif; ?>
            <span class="sortable-handler hasTooltip <?php echo $disableClassName ?>" title="<?php echo $disabledLabel ?>"> <i class="icon-menu"></i> </span>
            <input type="text" style="display:none" name="order[]" size="5" value="<?php echo $item->ordering; ?>" class="width-20 text-area-order "/>
            <?php else : ?>
            <span class="sortable-handler inactive"> <i class="icon-menu"></i> </span>
            <?php endif; ?></td>
          <?php endif; ?>
          <td class="hidden-phone"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
          <?php if (isset($this->items[0]->state)): ?>
          <td class="center"><?php echo JHtml::_('jgrid.published', $item->state, $i, 'listes.', $canChange, 'cb'); ?></td>
          <?php endif; ?>
          <td><?php echo $item->id; ?></td>
          <td><?php if (isset($item->checked_out) && $item->checked_out && ($canEdit || $canChange)) : ?>
            <?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'listes.', $canCheckin); ?>
            <?php endif; ?>
            <?php if ($canEdit) : ?>
            <a href="<?php echo JRoute::_('index.php?option=com_ytwebtools&task=siteinternet.edit&id='.(int) $item->id); ?>"> <?php echo $this->escape($item->name); ?></a>
            <?php else : ?>
            <?php echo $this->escape($item->name); ?>
            <?php endif; ?></td>
            
          <td><?php echo $item->cmstype; ?></td>
          <td><?php 
            $eltypesauve = $item->sauvtype;
            if ($eltypesauve==1){ $txtsvtp="COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTYPE_INCR"; }
			if ($eltypesauve==0){ $txtsvtp="COM_YTWEBTOOLS_FORM_SITEINTERNET_SAUVTYPE_COMP"; }
            echo JText::_($txtsvtp, true); 
            ?></td>
          <td><?php 
            $datesauve = $item->datedersauv;
            if ($datesauve == '0000-00-00 00:00:00'){ $datesauvetxt = " ------ "; }
            else { $datesauvetxt = $datesauve; }
            echo $datesauvetxt;
          ?></td>
          <td><?php 
            $statacc = $item->serveaccess;
            $eltaa = array('0000','1000','2000','0');
            $eltab = array('0111','1111','2111');
            $eltac = array('0001','0010','0100','0101','1001','1010','1100','1101','2001','2010','2100','2101');
            $verifsqltte = $item->servesqlv;
            
            $urltest = substr($statacc, 0, 1);
            $ftptestl = substr($statacc, 1, 2);
            $ftpteste = substr($statacc, 2, 3);
            $ftptests = substr($statacc, 3, 4);
            
            $ftptestlclas="";
            $ftptesteclas="";
            $ftptestsclas=""; 
            
            if ($ftptestl == 0){ $ftptestlclas="non"; }
            if ($ftpteste == 0){ $ftptesteclas="non"; }
            if ($ftptests == 0){ $ftptestsclas="non"; }
            
            $classurltest="";
            $classftptest="";
            $classsqltest="";
            
            if ($urltest==0){ $classurltest="non"; }
            if ($urltest==2){ $classurltest="attention"; }
            
            if (in_array( $statacc, $eltaa, true  )){ $classftptest="non"; }
            if (in_array( $statacc, $eltac, true  )){ $classftptest="attention"; }
            
            $ladteverisql = $item->verifsqldte;
            
            if (!empty($ladteverisql)){
                $testsqlexplo=explode('*',$ladteverisql);
                $sqlactifoupa=$testsqlexplo[0];
                if ($sqlactifoupa=="0"){
                    $classsqltest="non";
                }
            }
            if (empty($ladteverisql)){
                $classsqltest="non";
            }
          ?>
            <div class="icoposs <?php echo $classurltest; ?>">
                <span class="fa fa-globe"></span>
                HTML
            </div>
            <div class="icoposs <?php echo $classftptest; ?>">
                <span class="ftptestclass ftpecrit <?php echo $ftptesteclas; ?>">e</span>
                <span class="ftptestclass ftplectu <?php echo $ftptestlclas; ?>">l</span>
                <span class="ftptestclass ftpsuppr <?php echo $ftptestsclas; ?>">s</span>
                <span class="fa fa-download"></span>
                FTP
            </div>
            <div class="icoposs <?php echo $classsqltest; ?>">
                <span class="fa fa-server"></span>
                SQL
            </div>
          </td>
        </tr>
        <?php endforeach; ?>
      </tbody>
    </table>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
    <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
    <?php echo JHtml::_('form.token'); ?> </div>
</form>
