<?php

/**
 * @version    0.0.1
 * @package    Com_ytwebtools lite
 * @author     Yannick TANGUY <contact@yannicktanguy.com>
 * @copyright  2017 Yannick TANGUY
 * @license    GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for a list of ytwebtools.
 *
 * @since  1.6
 */
class YtwebtoolsViewListes extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;

	/**
	 * Display the view
	 *
	 * @param   string  $tpl  Template name
	 *
	 * @return void
	 *
	 * @throws Exception
	 */
	public function display($tpl = null)
	{
		$this->state = $this->get('State');
		$this->items = $this->get('Items');
		$this->pagination = $this->get('Pagination');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			throw new Exception(implode("\n", $errors));
		}
		YtwebtoolsHelpersYtwebtools::addSubmenu('listes');
		$this->addToolbar();
		$this->sidebar = JHtmlSidebar::render();
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return void
	 *
	 * @since    1.6
	 */
	protected function addToolbar()
	{
		$state = $this->get('State');
		$canDo = YtwebtoolsHelpersYtwebtools::getActions();

		JToolBarHelper::title(JText::_('COM_YTWEBTOOLS_TITLE_EXTERNALWEBSITESS'), 'listes.png');

		// Check if the form exists before showing the add/edit buttons
		$formPath = JPATH_COMPONENT_ADMINISTRATOR . '/views/siteinternet';

		if (file_exists($formPath))
		{
			
		}

		if ($canDo->get('core.edit.state'))
		{
			if (isset($this->items[0]->state))
			{
				JToolBarHelper::divider();
				JToolBarHelper::custom('listes.publish', 'publish.png', 'publish_f2.png', 'JTOOLBAR_PUBLISH', true);
				JToolBarHelper::custom('listes.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
			}
			elseif (isset($this->items[0]))
			{
			
			}

			if (isset($this->items[0]->state))
			{
			
			}

			if (isset($this->items[0]->checked_out))
			{
				JToolBarHelper::custom('listes.checkin', 'checkin.png', 'checkin_f2.png', 'JTOOLBAR_CHECKIN', true);
			}
		}

		// Show trash and delete for components that uses the state field
		if (isset($this->items[0]->state))
		{
			if ($state->get('filter.state') == -2 && $canDo->get('core.delete'))
			{
			
			}
			elseif ($canDo->get('core.edit.state'))
			{
			
			}
		}

		if ($canDo->get('core.admin'))
		{
			JToolBarHelper::preferences('com_ytwebtools');
		}

		// Set sidebar action - New in 3.0
		JHtmlSidebar::setAction('index.php?option=com_ytwebtools&view=listes');

		$this->extra_sidebar = '';
		JHtmlSidebar::addFilter(

			JText::_('JOPTION_SELECT_PUBLISHED'),

			'filter_published',

			JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), "value", "text", $this->state->get('filter.state'), true)

		);
	}

	/**
	 * Method to order fields 
	 *
	 * @return void 
	 */
	protected function getSortFields()
	{
		return array(
			'a.`id`' => JText::_('JGRID_HEADING_ID'),
			'a.`ordering`' => JText::_('JGRID_HEADING_ORDERING'),
			'a.`state`' => JText::_('JSTATUS'),
			'a.`name`' => JText::_('COM_YTWEBTOOLS_LISTES_NAME'),
			'a.`cmstype`' => JText::_('COM_YTWEBTOOLS_LISTES_CMSTYPE'),
			'a.`version`' => JText::_('COM_YTWEBTOOLS_LISTES_VERSION'),
		);
	}
}
